﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Babel.ParserGenerator;

namespace dragonangel.phpProject.Language.DSL
{
    public class CodeField : CodeMember
    {
        public CodeField(string name, LexLocation begin, LexLocation end)
            : this(name, GlyphVisibility.Private, begin, end)
        {
        }

        public CodeField(string name, GlyphVisibility visibility, LexLocation begin, LexLocation end)
            : base(visibility, begin, end)
        {
            this.name = name;
        }

        protected string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

    }
}
