﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Babel.ParserGenerator;

namespace dragonangel.phpProject.Language.DSL
{
    public class CodeClassReference : CodeExpression
    {
        public CodeClassReference(string className, LexLocation location)
            : this(className, location, location)
        { }

        public CodeClassReference(string className, LexLocation begin, LexLocation end)
            : base(begin, end)
        {
            this.name = className;
        }

        protected string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

    }
}
