﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.VisualStudio.Package;
using System.Runtime.InteropServices;
using IOleServiceProvider = Microsoft.VisualStudio.OLE.Interop.IServiceProvider;

namespace dragonangel.phpProject
{
    [Guid(GuidList.guidphpProjectFactoryString)]
    public class PhpProjectFactory : ProjectFactory
    {
        public PhpProjectFactory(phpProjectPackage package)
            : base(package)
        {
        }

        protected override ProjectNode CreateProject()
        {
            ProjectNode project= new phpProjectNode((phpProjectPackage)Package);
            project.SetSite((IOleServiceProvider)((IServiceProvider)this.Package).GetService(typeof(IOleServiceProvider)));
            return project;
        }
    }
}
