﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Babel.ParserGenerator;

namespace dragonangel.phpProject.Language.DSL
{
    public class CodeAccessExpression : CodeExpression
    {
        public CodeAccessExpression(CodeExpression variable, CodeMember member, LexLocation begin, LexLocation end)
            : base(begin, end)
        {
            this.variable = variable;
            this.member = member;
        }

        protected CodeExpression variable;
        public CodeExpression Variable
        {
            get { return variable; }
            set { variable = value; }
        }

        protected CodeMember member;
        public CodeMember Member
        {
            get { return member; }
            set { member = value; }
        }

    }
}
