﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Babel.ParserGenerator;

namespace dragonangel.phpProject.Language.DSL
{
    public class CodeConstant : CodeExpression
    {
        public CodeConstant(string name, LexLocation begin, LexLocation end)
            : base(begin, end)
        {
            this.name = name;
        }

        public CodeConstant(string name, LexLocation location) : this(name, location, location) { }

        protected string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

    }
}
