﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Babel.ParserGenerator;

namespace dragonangel.phpProject.Language.DSL
{
    public class CodeVariable : CodeExpression
    {
        public CodeVariable(string variableName, LexLocation begin, LexLocation end)
            : base(begin, end)
        {
            name = variableName;
        }

        protected string name;

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        protected string type;

        public string Type
        {
            get { return type; }
            set { type = value; }
        }
    }
}
