﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Babel.ParserGenerator;

namespace dragonangel.phpProject.Language.DSL
{
    public class CodeCallStatement : CodeStatement
    {
        public CodeCallStatement(string name, CodeExpression target, LexLocation begin, LexLocation end)
            : base(begin, end)
        {
            this.name = name;
            this.target = target;
        }

        protected CodeExpression target;
        public CodeExpression Target
        {
            get { return target; }
            set { target = value; }
        }

        protected string name;
        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        public bool IsIndexer
        {
            get { return name == "[]"; }
        }

    }
}
