﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Babel.ParserGenerator;

namespace dragonangel.phpProject.Language.DSL
{
    public class CodeReturnStatement : CodeStatement
    {
        public CodeReturnStatement(CodeExpression expressionToReturn, LexLocation begin, LexLocation end)
            : base(begin, end)
        {
            this.returnExpression = expressionToReturn;
        }

        protected CodeExpression returnExpression;

        public CodeExpression ReturnExpression
        {
            get { return returnExpression; }
            set { returnExpression = value; }
        }
    }
}
